Package org.pushingpixels.substance.internal.ui

# Class SubstanceTabbedPaneUI.TabbedContainerListener

java.lang.Object
java.awt.event.ContainerAdapter
org.pushingpixels.substance.internal.ui.SubstanceTabbedPaneUI.TabbedContainerListener

All Implemented Interfaces:
  `ContainerListener`, `EventListener`

Enclosing class:
  `SubstanceTabbedPaneUI`

protected final class SubstanceTabbedPaneUI.TabbedContainerListener extends ContainerAdapter
Tracks changes to the tabbed pane contents. Each tab component is tracked for changes on the `SubstanceLookAndFeel.WINDOW_MODIFIED` property.

## Constructor Summary

Constructors
Constructor
Description
`TabbedContainerListener()`
Creates a new container listener.

## Method Summary

Modifier and Type
Method
Description
`void`
`componentAdded(ContainerEvent e)`
`void`
`componentRemoved(ContainerEvent e)`
`protected void`
`stopTrackExistingTabs()`
Stops tracking all tab components.
`protected void`
`stopTrackTab(Component tabComponent)`
Stops tracking changes to a single tab component.
`protected void`
`trackExistingTabs()`
Tracks all existing tab component.
`protected void`
`trackTab(Component tabComponent)`
Tracks changes in a single tab component.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### TabbedContainerListener

public TabbedContainerListener()
Creates a new container listener.

## Method Details

### trackExistingTabs

protected void trackExistingTabs()
Tracks all existing tab component.

### trackTab

protected void trackTab(Component tabComponent)
Tracks changes in a single tab component.

Parameters:
  `tabComponent` - Tab component.

### stopTrackTab

protected void stopTrackTab(Component tabComponent)
Stops tracking changes to a single tab component.

Parameters:
  `tabComponent` - Tab component.

### stopTrackExistingTabs

protected void stopTrackExistingTabs()
Stops tracking all tab components.

### componentAdded

public void componentAdded(ContainerEvent e)

Specified by:
  `componentAdded` in interface `ContainerListener`
Overrides:
  `componentAdded` in class `ContainerAdapter`

### componentRemoved

public void componentRemoved(ContainerEvent e)

Specified by:
  `componentRemoved` in interface `ContainerListener`
Overrides:
  `componentRemoved` in class `ContainerAdapter`